var pressureChart = new ej.charts.Chart({
    enableCanvas: true,
    setInterval: 10,
    primaryXAxis: {
        valueType: 'Double',
        minimum: 0,
        maximum: chartLength,
        crossesAt: 0,
        labelStyle: { color: "Black", fontWeight: "Bold" },
        lineStyle: { color: "Black" } 
    },
    primaryYAxis: {
        valueType: 'Double',
        labelStyle: { color: "Black", fontWeight: "Bold" },
    },
    series: [        
        {
            name: 'Muscle Pressure',
            type: 'Line',
            xName: 'x',
            yName: 'musclePressure',
            width: '5',
            animation: { enable: true },
        },
        {
            name: 'Airway Pressure',
            type: 'Line',
            xName: 'x',
            yName: 'airwayPressure',
            width: '5',
            animation: { enable: true },
        },
        {
            name: 'Chamber 1 Pressure',
            type: 'Line',
            xName: 'x',
            yName: 'chamber1Pressure',
            width: '5',
            animation: { enable: true },
        },
        {
            name: 'Chamber 2 Pressure',
            type: 'Line',
            xName: 'x',
            yName: 'chamber2Pressure',
            width: '5',
            animation: { enable: true },
        },
    ],
    legendSettings: {
        textStyle: { color: "Black", fontWeight: "Bold" }
    },   
    crosshair: { visible: true, type: 'trackball' },
    chartMouseMove: DoNothing,
});